Subject: Re: [patch 1/4] natsemi: Add support for using MII port with no PHY

From: [email-masked]
Date: Mon, 13 Mar 2006 10:41:29 -0800

On Mon, Mar 13, 2006 at 06:23:31PM +0000, Mark Brown wrote:
> On Sun, Mar 12, 2006 at 01:41:13PM -0800, [email-masked] wrote:
> 
> > Not that my opinion should hold much weight, having been absent from the
> > driver for some time, but yuck.  Is there no better way to do this thatn
> > sprinkling poo all over it?
> 
> The changes are mostly isolated into check_link(), the fact that half
> the function gets placed inside a conditional but diff sees it as a
> bunch of smaller changes makes the changes look a lot more invasive than
> they actually are.  I guess that could be helped by splitting the PHY
> access code out of check_link() into check_phy_status() or something but
> I'm not sure how much that really helps.

It's not terribly offensive it just seems like a hack. :)  I'm not sure I
really understand the reasoning, so I can't offer anythign better or more
general purpose.